Gentoo Archives: gentoo-commits

From: Sebastien Fabbro <bicatali@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pyavm/
Date: Mon, 31 Jul 2017 20:46:52
Message-Id: 1501533984.d4ef52e3ad8758f7b4ea697d126b512f38d8470e.bicatali@gentoo
commit:     d4ef52e3ad8758f7b4ea697d126b512f38d8470e
Author:     S├ębastien Fabbro <bicatali <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 31 19:05:33 2017 +0000
Commit:     Sebastien Fabbro <bicatali <AT> gentoo <DOT> org>
CommitDate: Mon Jul 31 20:46:24 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d4ef52e3

dev-python/pyavm: version bump

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 dev-python/pyavm/Manifest           |  1 +
 dev-python/pyavm/pyavm-0.9.3.ebuild | 33 +++++++++++++++++++++++++++++++++
 2 files changed, 34 insertions(+)

diff --git a/dev-python/pyavm/Manifest b/dev-python/pyavm/Manifest
index ef35c3a2fe3..d362f34f1cc 100644
--- a/dev-python/pyavm/Manifest
+++ b/dev-python/pyavm/Manifest
@@ -1 +1,2 @@
 DIST PyAVM-0.9.2.tar.gz 101071 SHA256 4bfc4bcb820d239b09d1f9c5a4cd1a3e0fc63af71d96f884a020cb7cc0c800fa SHA512 5e724d023ddd74ce64c3846fdb2e6310cbf8e2b9670e2bc28dd1b7978eae76f43f48a223d8e69f805aded41c569657c874d999bcb8198e0b8de7f02dbb51e7c1 WHIRLPOOL d7bc41a4cde21651ad2e278d10825c5b568d184be394f31066369a43970e9828d751272dcfc56ca6d42a9ed9be54f57502d2f27308203c52ff9de6ef65c4ab7c
+DIST PyAVM-0.9.3.tar.gz 220824 SHA256 ea90ddfbc3c8705f21ca24e205dc0208510905b5b69829db38c7d0e53928873a SHA512 c505c2dc483befd3060e7d9c45b38f6e18502a223577fbcb73d253859138c4b97e468e6aba39cb7eff4bb4c0526108e8556251de15e2d78f8482ff22a033bad9 WHIRLPOOL f6f2093bb566463de508e8a08a6190a5becb133bf84781dee598d6efd46571eb185e97a474ccdfb3ce6835a6818534297e10838986734d1c98c30aea7f917e7a

diff --git a/dev-python/pyavm/pyavm-0.9.3.ebuild b/dev-python/pyavm/pyavm-0.9.3.ebuild
new file mode 100644
index 00000000000..02c42573b38
--- /dev/null
+++ b/dev-python/pyavm/pyavm-0.9.3.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+
+inherit distutils-r1
+
+MYPN=PyAVM
+MYP=${MYPN}-${PV}
+
+DESCRIPTION="Python module for Astronomy Visualization Metadata i/o"
+HOMEPAGE="http://astrofrog.github.io/pyavm/"
+SRC_URI="mirror://pypi/${MYPN:0:1}/${MYPN}/${MYP}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="dev-python/astropy[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+	test? (
+		dev-python/astropy[${PYTHON_USEDEP}]
+		dev-python/pytest[${PYTHON_USEDEP}]
+	)"
+
+S="${WORKDIR}/${MYP}"
+
+python_test() {
+	py.test || die "tests for ${EPYTHON} failed"
+}